1. Products
E-Commerce
  • Payments
    • List Payments
      GET
    • List Payment Providers
      GET
    • Get a Payment
      GET
    • Capture Payment
      POST
    • Refund Payment
      POST
  • Products
    • List Products
      GET
    • Create Product
      POST
    • Manage Products
      POST
    • Export Products
      POST
    • Create Product Import
      POST
    • Confirm Product Import
      POST
    • Get a Product
      GET
    • Update a Product
      POST
    • Delete a Product
      DELETE
  • Orders
    • List Orders
      GET
    • Get an Order
      GET
    • Archive an Order
      POST
    • Cancel Order
      POST
    • Complete Order
      POST
  • スキーマ
    • ZoneOffset
    • java.time.ZoneOffset
    • OffsetDateTime
    • java.time.OffsetDateTime
    • Metadata
    • com.example.commerce.schema.order.Metadata
    • PaymentProvider
    • com.example.commerce.schema.order.PaymentProvider
    • ContextCustomer
    • com.example.commerce.schema.order.ContextCustomer
    • Context
    • com.example.commerce.schema.order.Context
    • Capture
    • com.example.commerce.schema.order.Capture
    • RefundReason
    • com.example.commerce.schema.order.RefundReason
    • PurpleRefund
    • com.example.commerce.schema.order.PurpleRefund
    • PaymentSessionPayment
    • com.example.commerce.schema.order.PaymentSessionPayment
    • PaymentSession
    • com.example.commerce.schema.order.PaymentSession
    • FluffyRefund
    • com.example.commerce.schema.order.FluffyRefund
    • PaymentSession
    • com.example.commerce.schema.order.PaymentSession
    • PaymentElement
    • com.example.commerce.schema.order.PaymentElement
    • PaymentCollection
    • com.example.commerce.schema.order.PaymentCollection
    • Fulfillment
    • com.example.commerce.schema.order.Fulfillment
    • SalesChannel
    • com.example.commerce.schema.order.SalesChannel
    • Metadata
    • com.example.commerce.schema.order.Metadata
    • Group
    • com.example.commerce.schema.order.Group
    • Country
    • com.example.commerce.schema.order.Country
    • Address
    • com.example.commerce.schema.order.Address
    • OrderCustomer
    • com.example.commerce.schema.order.OrderCustomer
    • Address
    • com.example.commerce.schema.order.Address
    • Price
    • com.example.commerce.schema.order.Price
    • ImageOption
    • com.example.commerce.schema.order.ImageOption
    • Image
    • com.example.commerce.schema.order.Image
    • CalculatedPrice
    • com.example.commerce.schema.order.CalculatedPrice
    • Variant
    • com.example.commerce.schema.order.Variant
    • FluffyCollection
    • com.example.commerce.schema.order.FluffyCollection
    • ParentCategoryElement
    • com.example.commerce.schema.order.ParentCategoryElement
    • ParentCategoryElement
    • com.example.commerce.schema.order.ParentCategoryElement
    • PurpleCategory
    • com.example.commerce.schema.order.PurpleCategory
    • Image
    • com.example.commerce.schema.order.Image
    • PurpleOption
    • com.example.commerce.schema.order.PurpleOption
    • Type
    • com.example.commerce.schema.order.Type
    • ProductElement
    • com.example.commerce.schema.order.ProductElement
    • PurpleCollection
    • com.example.commerce.schema.order.PurpleCollection
    • SalesChannel
    • com.example.commerce.schema.order.SalesChannel
    • Variant
    • com.example.commerce.schema.order.Variant
    • Type
    • com.example.commerce.schema.order.Type
    • ImageOption
    • com.example.commerce.schema.order.ImageOption
    • ItemProduct
    • com.example.commerce.schema.order.ItemProduct
    • VariantOptionValues
    • com.example.commerce.schema.order.VariantOptionValues
    • TaxLine
    • com.example.commerce.schema.order.TaxLine
    • Adjustment
    • com.example.commerce.schema.order.Adjustment
    • Item
    • com.example.commerce.schema.order.Item
    • Detail
    • com.example.commerce.schema.order.Detail
    • ShippingMethod
    • com.example.commerce.schema.order.ShippingMethod
    • Transaction
    • com.example.commerce.schema.order.Transaction
    • Summary
    • com.example.commerce.schema.order.Summary
    • Order
    • com.example.commerce.schema.order.Order
    • Data
    • com.example.commerce.schema.payment.Data
    • Capture
    • com.example.commerce.schema.payment.Capture
    • RefundReason
    • com.example.commerce.schema.payment.RefundReason
    • PaymentRefund
    • com.example.commerce.schema.payment.PaymentRefund
    • PaymentClass
    • com.example.commerce.schema.payment.PaymentClass
    • PaymentRefundClass
    • com.example.commerce.schema.payment.PaymentRefundClass
    • Customer
    • com.example.commerce.schema.payment.Customer
    • Context
    • com.example.commerce.schema.payment.Context
    • PaymentSession
    • com.example.commerce.schema.payment.PaymentSession
    • Payment
    • com.example.commerce.schema.payment.Payment
    • Metadata
    • com.example.commerce.schema.product.Metadata
    • Metadata
    • com.example.commerce.schema.product.Metadata
    • ProductCollectionClass
    • com.example.commerce.schema.product.ProductCollectionClass
    • ParentCategoryElement
    • com.example.commerce.schema.product.ParentCategoryElement
    • ParentCategoryElement
    • com.example.commerce.schema.product.ParentCategoryElement
    • ProductCategory
    • com.example.commerce.schema.product.ProductCategory
    • ImageOption
    • com.example.commerce.schema.product.ImageOption
    • Image
    • com.example.commerce.schema.product.Image
    • Image
    • com.example.commerce.schema.product.Image
    • ProductOption
    • com.example.commerce.schema.product.ProductOption
    • Type
    • com.example.commerce.schema.product.Type
    • ProductElement
    • com.example.commerce.schema.product.ProductElement
    • ProductCollection
    • com.example.commerce.schema.product.ProductCollection
    • SalesChannel
    • com.example.commerce.schema.product.SalesChannel
    • Price
    • com.example.commerce.schema.product.Price
    • CalculatedPrice
    • com.example.commerce.schema.product.CalculatedPrice
    • Variant
    • com.example.commerce.schema.product.Variant
    • Type
    • com.example.commerce.schema.product.Type
    • ImageOption
    • com.example.commerce.schema.product.ImageOption
    • Product
    • com.example.commerce.schema.product.Product
  1. Products

Manage Products

POST
/admin/products/batch

リクエストパラメータ

なし

リクエストコードサンプル

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
リクエストリクエストExample
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://127.0.0.1:8080/admin/products/batch'

レスポンス

🟢200Success
application/json
ボディapplication/json

例
[
  {
    "is_giftcard": false,
    "collection": {
      "id": "",
      "title": "",
      "handle": "",
      "created_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "updated_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "deleted_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "products": [
        {
          "is_giftcard": false,
          "collection": {
            "id": "",
            "title": "",
            "handle": "",
            "created_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "updated_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "deleted_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "products": [
              {}
            ],
            "metadata": {}
          },
          "categories": [
            {
              "is_active": false,
              "is_internal": false,
              "category_children": [
                {
                  "is_active": false,
                  "is_internal": false,
                  "category_children": [
                    {}
                  ],
                  "parent_category": {},
                  "products": [
                    {}
                  ],
                  "name": "",
                  "description": "",
                  "id": "",
                  "metadata": {},
                  "created_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "updated_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "handle": "",
                  "deleted_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "rank": 0,
                  "parent_category_id": ""
                }
              ],
              "parent_category": {
                "is_active": false,
                "is_internal": false,
                "category_children": [
                  {}
                ],
                "parent_category": {},
                "products": [
                  {}
                ],
                "name": "",
                "description": "",
                "id": "",
                "metadata": {},
                "created_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                },
                "updated_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                },
                "handle": "",
                "deleted_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                },
                "rank": 0,
                "parent_category_id": ""
              },
              "products": [
                {}
              ],
              "name": "",
              "description": "",
              "id": "",
              "metadata": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "handle": "",
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "rank": 0,
              "parent_category_id": ""
            }
          ],
          "variants": [
            {}
          ],
          "type": {
            "id": "",
            "value": "",
            "option": {
              "id": "",
              "title": "",
              "product": {},
              "product_id": "",
              "values": [
                {}
              ],
              "metadata": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              }
            },
            "option_id": "",
            "metadata": {},
            "created_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "updated_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "deleted_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "url": ""
          },
          "tags": [
            {
              "id": "",
              "value": "",
              "option": {
                "id": "",
                "title": "",
                "product": {},
                "product_id": "",
                "values": [
                  {}
                ],
                "metadata": {},
                "created_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                },
                "updated_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                },
                "deleted_at": {
                  "dateTime": "",
                  "offset": {
                    "totalSeconds": 0
                  }
                }
              },
              "option_id": "",
              "metadata": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "url": ""
            }
          ],
          "length": 0,
          "title": "",
          "status": "",
          "options": [
            {
              "id": "",
              "title": "",
              "product": {},
              "product_id": "",
              "values": [
                {
                  "id": "",
                  "value": "",
                  "option": {
                    "id": "",
                    "title": "",
                    "product": {},
                    "product_id": "",
                    "values": [
                      {}
                    ],
                    "metadata": {},
                    "created_at": {
                      "dateTime": "",
                      "offset": {
                        "totalSeconds": 0
                      }
                    },
                    "updated_at": {
                      "dateTime": "",
                      "offset": {
                        "totalSeconds": 0
                      }
                    },
                    "deleted_at": {
                      "dateTime": "",
                      "offset": {
                        "totalSeconds": 0
                      }
                    }
                  },
                  "option_id": "",
                  "metadata": {},
                  "created_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "updated_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "deleted_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "url": ""
                }
              ],
              "metadata": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              }
            }
          ],
          "description": "",
          "id": "",
          "metadata": {},
          "created_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          },
          "updated_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          },
          "handle": "",
          "subtitle": "",
          "thumbnail": "",
          "width": 0,
          "weight": 0,
          "height": 0,
          "origin_country": "",
          "hs_code": "",
          "mid_code": "",
          "material": "",
          "collection_id": "",
          "type_id": "",
          "images": [
            {
              "id": "",
              "url": "",
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "metadata": {},
              "value": ""
            }
          ],
          "discountable": false,
          "external_id": "",
          "deleted_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          }
        }
      ],
      "metadata": {}
    },
    "categories": [
      {
        "is_active": false,
        "is_internal": false,
        "category_children": [
          {}
        ],
        "parent_category": {},
        "products": [
          {}
        ],
        "name": "",
        "description": "",
        "id": "",
        "metadata": {},
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "handle": "",
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "rank": 0,
        "parent_category_id": ""
      }
    ],
    "sales_channels": [
      {
        "is_disabled": false,
        "id": "",
        "name": "",
        "description": "",
        "metadata": {},
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        }
      }
    ],
    "variants": [
      {
        "prices": [
          {
            "id": "",
            "title": "",
            "currency_code": "",
            "amount": 0,
            "raw_amount": {},
            "min_quantity": 0,
            "max_quantity": 0,
            "price_set_id": "",
            "created_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "updated_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "deleted_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            }
          }
        ],
        "id": "",
        "title": "",
        "sku": "",
        "barcode": "",
        "ean": "",
        "upc": "",
        "allow_backorder": false,
        "manage_inventory": false,
        "inventory_quantity": 0,
        "hs_code": "",
        "origin_country": "",
        "mid_code": "",
        "material": "",
        "weight": 0,
        "length": 0,
        "height": 0,
        "width": 0,
        "variant_rank": 0,
        "options": [
          {
            "id": "",
            "value": "",
            "option": {
              "id": "",
              "title": "",
              "product": {},
              "product_id": "",
              "values": [
                {}
              ],
              "metadata": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "deleted_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              }
            },
            "option_id": "",
            "metadata": {},
            "created_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "updated_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "deleted_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "url": ""
          }
        ],
        "product": {},
        "product_id": "",
        "calculated_price": {
          "is_calculated_price_price_list": false,
          "is_calculated_price_tax_inclusive": false,
          "is_original_price_price_list": false,
          "is_original_price_tax_inclusive": false,
          "id": "",
          "calculated_amount": 0,
          "calculated_amount_with_tax": 0,
          "calculated_amount_without_tax": 0,
          "original_amount": 0,
          "currency_code": "",
          "calculated_price": {},
          "original_price": {}
        },
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "metadata": {}
      }
    ],
    "type": {
      "id": "",
      "url": "",
      "created_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "updated_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "deleted_at": {
        "dateTime": "",
        "offset": {
          "totalSeconds": 0
        }
      },
      "metadata": {},
      "value": ""
    },
    "tags": [
      {
        "id": "",
        "url": "",
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "metadata": {},
        "value": ""
      }
    ],
    "length": 0,
    "title": "",
    "status": "",
    "options": [
      {
        "id": "",
        "title": "",
        "product": {},
        "product_id": "",
        "values": [
          {}
        ],
        "metadata": {},
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        }
      }
    ],
    "description": "",
    "id": "",
    "metadata": {},
    "created_at": {
      "dateTime": "",
      "offset": {
        "totalSeconds": 0
      }
    },
    "updated_at": {
      "dateTime": "",
      "offset": {
        "totalSeconds": 0
      }
    },
    "handle": "",
    "subtitle": "",
    "thumbnail": "",
    "width": 0,
    "weight": 0,
    "height": 0,
    "origin_country": "",
    "hs_code": "",
    "mid_code": "",
    "material": "",
    "collection_id": "",
    "type_id": "",
    "images": [
      {
        "id": "",
        "value": "",
        "option": {
          "id": "",
          "title": "",
          "product": {},
          "product_id": "",
          "values": [
            {}
          ],
          "metadata": {},
          "created_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          },
          "updated_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          },
          "deleted_at": {
            "dateTime": "",
            "offset": {
              "totalSeconds": 0
            }
          }
        },
        "option_id": "",
        "metadata": {},
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "deleted_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "url": ""
      }
    ],
    "discountable": false,
    "external_id": "",
    "deleted_at": {
      "dateTime": "",
      "offset": {
        "totalSeconds": 0
      }
    }
  }
]
更新日時 2025-01-10 09:05:07
前へ
Create Product
次へ
Export Products
Built with